﻿Public Class Range
  Public Const ColumnName As String = "Level"
  Public Property Level As Integer
  Public Property Rgb As Integer
  Public Property Value As Double

  Public Function GetRgb() As Integer
    Return Rgb
  End Function

  Public Sub SetRgb(value As Integer)
    Rgb = value
  End Sub

  Public Sub New(xnZone As Xml.XmlNode)
    Level = CInt(xnZone.Attributes("Level").InnerText)
    Rgb = CInt(xnZone.Attributes("RGB").InnerText)
    Value = CDbl(xnZone.Attributes("Value").InnerText)
  End Sub

  Public Sub New(level As Integer, rgb As Integer, value As Double)
    With Me
      .Level = level
      .Rgb = rgb
      .Value = value
    End With
  End Sub
End Class