﻿Public Class Ranges : Inherits List(Of Range)
  Public Function RgbForValue(v As Double) As Integer
    If v = -9999 Then
      Return Color.Transparent.ToArgb
    End If

    If v < Me(0).Value Then
      Return Me(0).Rgb
    ElseIf v > Me(Me.Count - 1).Value Then
      Return Me(Me.Count - 1).Rgb
    Else
      For idx As Integer = 0 To Me.Count - 2
        If v >= Me(idx).Value AndAlso v <= Me(idx + 1).Value Then
          Return Me(idx + 1).Rgb
        End If
      Next
    End If

    Return Color.Transparent.ToArgb
  End Function
End Class
